## API Report File for "@fluentui/style-utilities"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import { AnimationStyles } from '@fluentui/theme';
import { AnimationVariables } from '@fluentui/theme';
import { concatStyleSets } from '@fluentui/merge-styles';
import { concatStyleSetsWithProps } from '@fluentui/merge-styles';
import { createFontStyles } from '@fluentui/theme';
import { createTheme } from '@fluentui/theme';
import { DefaultEffects } from '@fluentui/theme';
import { DefaultFontStyles } from '@fluentui/theme';
import { DefaultPalette } from '@fluentui/theme';
import { fontFace } from '@fluentui/merge-styles';
import { FontSizes } from '@fluentui/theme';
import { FontWeights } from '@fluentui/theme';
import { IAnimationStyles } from '@fluentui/theme';
import { IAnimationVariables } from '@fluentui/theme';
import { IconFontSizes } from '@fluentui/theme';
import { ICSPSettings } from '@fluentui/merge-styles';
import type { ICustomizerContext } from '@fluentui/utilities';
import { IEffects } from '@fluentui/theme';
import { IFontFace } from '@fluentui/merge-styles';
import { IFontStyles } from '@fluentui/theme';
import { IFontWeight } from '@fluentui/merge-styles';
import { InjectionMode } from '@fluentui/merge-styles';
import { IPalette } from '@fluentui/theme';
import { IPartialTheme } from '@fluentui/theme';
import { IProcessedStyleSet } from '@fluentui/merge-styles';
import { IRawStyle } from '@fluentui/merge-styles';
import { IScheme } from '@fluentui/theme';
import { ISchemeNames } from '@fluentui/theme';
import { ISemanticColors } from '@fluentui/theme';
import { ISemanticTextColors } from '@fluentui/theme';
import { ISpacing } from '@fluentui/theme';
import { IStyle } from '@fluentui/merge-styles';
import { IStyleSet } from '@fluentui/merge-styles';
import { IStyleSheetConfig } from '@fluentui/merge-styles';
import { ITheme } from '@fluentui/theme';
import { keyframes } from '@fluentui/merge-styles';
import { mergeStyles } from '@fluentui/merge-styles';
import { mergeStyleSets } from '@fluentui/merge-styles';
import { registerDefaultFontFaces } from '@fluentui/theme';
import { Stylesheet } from '@fluentui/merge-styles';

// @public (undocumented)
export const AnimationClassNames: {
    [key in keyof IAnimationStyles]?: string;
};

export { AnimationStyles }

export { AnimationVariables }

// @public
export function buildClassMap<T extends Object>(styles: T): {
    [key in keyof T]?: string;
};

// Warning: (ae-forgotten-export) The symbol "IColorClassNames" needs to be exported by the entry point index.d.ts
//
// @public (undocumented)
export const ColorClassNames: IColorClassNames;

export { concatStyleSets }

export { concatStyleSetsWithProps }

export { createFontStyles }

export { createTheme }

export { DefaultEffects }

export { DefaultFontStyles }

export { DefaultPalette }

// @public (undocumented)
export const EdgeChromiumHighContrastSelector = "@media screen and (forced-colors: active)";

// @public
export function focusClear(): IRawStyle;

// @public (undocumented)
export const FontClassNames: {
    [key in keyof IFontStyles]?: string;
};

export { fontFace }

export { FontSizes }

export { FontWeights }

// @public @deprecated
export function getEdgeChromiumNoHighContrastAdjustSelector(): {
    [EdgeChromiumHighContrastSelector]: IRawStyle;
};

// @public
export function getFadedOverflowStyle(theme: ITheme, color?: keyof ISemanticColors | keyof IPalette, direction?: 'horizontal' | 'vertical', width?: string | number, height?: string | number): IRawStyle;

// @public
export function getFocusOutlineStyle(theme: ITheme, inset?: number, width?: number, color?: string): IRawStyle;

// @public
export function getFocusStyle(theme: ITheme, options?: IGetFocusStylesOptions): IRawStyle;

// @public @deprecated
export function getFocusStyle(theme: ITheme, inset?: number, position?: 'relative' | 'absolute', highContrastStyle?: IRawStyle | undefined, borderColor?: string, outlineColor?: string, isFocusedOnly?: boolean): IRawStyle;

// @public
export function getGlobalClassNames<T>(classNames: GlobalClassNames<T>, theme: ITheme, disableGlobalClassNames?: boolean): GlobalClassNames<T>;

// @public
export function getHighContrastNoAdjustStyle(): IRawStyle;

// @public
export function getIcon(name?: string): IIconRecord | undefined;

// @public
export function getIconClassName(name: string): string;

// @public
export const getInputFocusStyle: (borderColor: string, borderRadius: string | number, borderType?: 'border' | 'borderBottom', borderPosition?: number) => IRawStyle;

// @public
export function getPlaceholderStyles(styles: IStyle): IStyle;

// @public (undocumented)
export function getScreenSelector(min: number | undefined, max: number | undefined): string;

// @public
export function getTheme(depComments?: boolean): ITheme;

// Warning: (ae-internal-missing-underscore) The name "getThemedContext" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal
export function getThemedContext(context: ICustomizerContext, scheme?: ISchemeNames, theme?: ITheme): ICustomizerContext;

// @public (undocumented)
export type GlobalClassNames<IStyles> = Record<keyof IStyles, string>;

// @public (undocumented)
export const hiddenContentStyle: IRawStyle;

// @public (undocumented)
export const HighContrastSelector = "@media screen and (-ms-high-contrast: active), (forced-colors: active)";

// @public (undocumented)
export const HighContrastSelectorBlack = "@media screen and (-ms-high-contrast: white-on-black), (forced-colors: white-on-black)";

// @public (undocumented)
export const HighContrastSelectorWhite = "@media screen and (-ms-high-contrast: black-on-white), (forced-colors: black-on-white)";

export { IAnimationStyles }

export { IAnimationVariables }

export { IconFontSizes }

export { ICSPSettings }

export { IEffects }

export { IFontFace }

export { IFontStyles }

export { IFontWeight }

// @public (undocumented)
export interface IGetFocusStylesOptions {
    borderColor?: string;
    highContrastStyle?: IRawStyle;
    inset?: number;
    isFocusedOnly?: boolean;
    outlineColor?: string;
    position?: 'relative' | 'absolute';
    width?: number;
}

// @public (undocumented)
export interface IIconOptions {
    disableWarnings: boolean;
    // @deprecated (undocumented)
    warnOnMissingIcons?: boolean;
}

// @public (undocumented)
export interface IIconRecord {
    // (undocumented)
    code: string | undefined;
    // (undocumented)
    subset: IIconSubsetRecord;
}

// @public (undocumented)
export interface IIconSubset {
    // (undocumented)
    fontFace?: IFontFace;
    // (undocumented)
    icons: {
        [key: string]: string | JSX.Element;
    };
    mergeImageProps?: boolean;
    // (undocumented)
    style?: IRawStyle;
}

// @public (undocumented)
export interface IIconSubsetRecord extends IIconSubset {
    // (undocumented)
    className?: string;
    // (undocumented)
    isRegistered?: boolean;
}

export { InjectionMode }

export { IPalette }

export { IPartialTheme }

export { IProcessedStyleSet }

export { IRawStyle }

export { IScheme }

export { ISchemeNames }

export { ISemanticColors }

export { ISemanticTextColors }

export { ISpacing }

export { IStyle }

export { IStyleSet }

export { IStyleSheetConfig }

export { ITheme }

export { keyframes }

// @public
export function loadTheme(theme: IPartialTheme, depComments?: boolean): ITheme;

export { mergeStyles }

export { mergeStyleSets }

// @public (undocumented)
export const normalize: IRawStyle;

// @public (undocumented)
export const noWrap: IRawStyle;

// @public (undocumented)
export const PulsingBeaconAnimationStyles: {
    continuousPulseAnimationDouble: typeof _continuousPulseAnimationDouble;
    continuousPulseAnimationSingle: typeof _continuousPulseAnimationSingle;
    createDefaultAnimation: typeof _createDefaultAnimation;
};

export { registerDefaultFontFaces }

// @public
export function registerIconAlias(iconName: string, mappedToName: string): void;

// @public
export function registerIcons(iconSubset: IIconSubset, options?: Partial<IIconOptions>): void;

// @public
export function registerOnThemeChangeCallback(callback: (theme: ITheme) => void): void;

// @public
export function removeOnThemeChangeCallback(callback: (theme: ITheme) => void): void;

// @public (undocumented)
export const ScreenWidthMaxLarge: number;

// @public (undocumented)
export const ScreenWidthMaxMedium: number;

// @public (undocumented)
export const ScreenWidthMaxSmall: number;

// @public (undocumented)
export const ScreenWidthMaxXLarge: number;

// @public (undocumented)
export const ScreenWidthMaxXXLarge: number;

// @public (undocumented)
export const ScreenWidthMinLarge = 640;

// @public (undocumented)
export const ScreenWidthMinMedium = 480;

// @public (undocumented)
export const ScreenWidthMinSmall = 320;

// @public (undocumented)
export const ScreenWidthMinUhfMobile = 768;

// @public (undocumented)
export const ScreenWidthMinXLarge = 1024;

// @public (undocumented)
export const ScreenWidthMinXXLarge = 1366;

// @public (undocumented)
export const ScreenWidthMinXXXLarge = 1920;

// @public
export function setIconOptions(options: Partial<IIconOptions>): void;

export { Stylesheet }

// @public (undocumented)
export const ThemeSettingName = "theme";

// @public
export function unregisterIcons(iconNames: string[]): void;

// @public (undocumented)
export namespace ZIndexes {
    const // (undocumented)
    Nav: number;
    const // @deprecated (undocumented)
    ScrollablePane: number;
    const // (undocumented)
    FocusStyle: number;
    const // (undocumented)
    Coachmark: number;
    const // (undocumented)
    Layer: number;
    const // (undocumented)
    KeytipLayer: number;
}

// Warnings were encountered during analysis:
//
// lib/styles/PulsingBeaconAnimationStyles.d.ts:6:5 - (ae-forgotten-export) The symbol "_continuousPulseAnimationDouble" needs to be exported by the entry point index.d.ts
// lib/styles/PulsingBeaconAnimationStyles.d.ts:7:5 - (ae-forgotten-export) The symbol "_continuousPulseAnimationSingle" needs to be exported by the entry point index.d.ts
// lib/styles/PulsingBeaconAnimationStyles.d.ts:8:5 - (ae-forgotten-export) The symbol "_createDefaultAnimation" needs to be exported by the entry point index.d.ts

// (No @packageDocumentation comment for this package)

```
